#include <FastLED.h>

// How many leds in your strip?
#define NUM_LEDS 230

// For led chips like WS2812, which have a data line, ground, and power, you just
// need to define DATA_PIN.  For led chipsets that are SPI based (four wires - data, clock,
// ground, and power), like the LPD8806 define both DATA_PIN and CLOCK_PIN
// Clock pin only needed for SPI based chipsets when not using hardware SPI
#define DATA_PIN D5
#define CLOCK_PIN 13
#define BRIGHTNESS  64
// Define the array of leds
CRGB leds[NUM_LEDS];
int val = 0;  // variable to store the value read
int analogPin = A0; // potentiometer wiper (middle terminal) connected to analog pin 3
// outside leads to ground and +5V
int Builtinled = D0;

void setup() {
  // Uncomment/edit one of the following lines for your leds arrangement.
  // ## Clockless types ##
  FastLED.addLeds<NEOPIXEL, DATA_PIN>(leds, NUM_LEDS);  // GRB ordering is assumed
  FastLED.setBrightness(BRIGHTNESS);
  pinMode(Builtinled , OUTPUT);
  digitalWrite(Builtinled, LOW);
  Serial.println(9600);
}

void loop() {
  val = analogRead(analogPin);  // read the input pin
  int numLedsToLight = map(val / 4, 0, 255, NUM_LEDS, 80);
  int y = map(val / 4, 0, 255, 0, NUM_LEDS / 1.38);

  // First, clear the existing led values
  FastLED.clear();
  for (int led = NUM_LEDS; led > numLedsToLight; led--) {
    leds[led] = CRGB(128, 0, 128);
//    Serial.println(numLedsToLight);
  }
  for (int x = 0; x < y; x++) {
    leds[x] = CRGB(128, 0, 128);
//    Serial.println(y);
  }
  FastLED.show();
}
